# Casio Docker

A docker for casio developpment on linux, with gint and fxsdk from Lephenixnoir.

## Docker

Download archives :

- ftp://gcc.gnu.org/pub/gcc/releases/gcc-8.2.0/gcc-8.2.0.tar.xz
- ftp://ftp.gnu.org/gnu/binutils/binutils-2.31.1.tar.xz
- https://p7.planet-casio.com/pub/libp7-3.0.tar.gz
- https://p7.planet-casio.com/pub/p7utils-3.0.tar.gz

Build

- `docker build -t casio .`

Run (execute in your project folder)

- Linux `docker run -u 0 -it --rm -v $(pwd):/casio casio`
- Windows `docker run -u 0 -it --rm -v "/$(pwd)":/casio casio`

## Useful links

Planète Casio

- [Install gcc](https://www.planet-casio.com/Fr/forums/topic12970-1-%5bTutoriel%5d_Compiler_sous_Linux_avec_un_cross-compilateur_gcc.html)
- [Install fxsdk](https://www.planet-casio.com/Fr/forums/topic13164-1-fxSDK.html)
- [Gint tutorial](https://www.planet-casio.com/Fr/forums/lecture_sujet.php?id=14914&page=1)

Repository

- [fxsdk](https://gitea.planet-casio.com/Lephenixnoir/fxsdk)
- [gint](https://gitea.planet-casio.com/Lephenixnoir/gint)
- [gintctl](https://gitea.planet-casio.com/Lephenixnoir/gintctl) (add-in to test)
